%bcond_without	bootstrap

%define major	3
%define libname %mklibname pci %{major}

Summary:	PCI bus related utilities
Name:		pciutils
Version:	3.5.4
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://mj.ucw.cz/pciutils.html
Source0:	ftp://atrey.karlin.mff.cuni.cz/pub/linux/pci/%{name}-%{version}.tar.gz
Patch10:	pciutils-3.3.1-pcimodules.patch
Patch11:	pciutils-3.0.3-cardbus-only-when-root.patch

# Fedora patches
# (TV) all but 106 & 109 (which we disabled) were droped by fedora!

# matching lib is always needed (mga #10661)
Requires:	%{libname} = %{version}-%{release}

%if !%{with bootstrap}
Requires:	pciids
%endif
# needed to support modaliases so lspci -k gives correct output
BuildRequires:	pkgconfig(libkmod)

#- previous libldetect was requiring file /usr/share/pci.ids, hence a urpmi issue (cf #29299)
Conflicts:	%{mklibname ldetect 0.7} < 0.7.0-5mdv2007.1

%description
This package contains various utilities for inspecting and setting
devices connected to the PCI bus. 

%package	devel
Summary:	Linux PCI development library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}

%description	devel
This package contains a library for inspecting and setting
devices connected to the PCI bus.

%package -n	%{libname}
Summary:	The PCI library
Group:		System/Libraries

%description -n	%{libname}
This package contains a dynamic library for inspecting and setting
devices connected to the PCI bus.

%prep
%setup -q
%patch10 -p1
%patch11 -p0


%build
%make SHARED="no" ZLIB="no" LIBKMOD=yes OPT="%{optflags} -fPIC" PREFIX=%{_prefix} DNS=no LDFLAGS="%{ldflags}" lib/libpci.a 
cp lib/libpci.a lib/libpci.a.libc
make clean

# do not build with zlib support since it's useless (only needed if we compress
# pci.ids which we cannot do since hal mmaps it for memory saving reason)
%make SHARED="yes" ZLIB="no" LIBKMOD=yes OPT="%{optflags} -fPIC" PREFIX=%{_prefix} LDFLAGS="%{ldflags}"

%install
install -d %{buildroot}{%{_bindir},%{_mandir}/man8,%{_libdir}/pkgconfig,%{_includedir}/pci}

install pcimodules lspci setpci %{buildroot}%{_bindir}
install -m 644 pcimodules.man lspci.8 setpci.8 %{buildroot}%{_mandir}/man8
install -m 644 lib/libpci.a.libc %{buildroot}%{_libdir}/libpci.a
install lib/libpci.so.%{major}.* %{buildroot}%{_libdir}
ln -s libpci.so.3 %{buildroot}%{_libdir}/libpci.so

install -m 644 lib/{pci.h,header.h,config.h,types.h} %{buildroot}%{_includedir}/pci
install -m 755 update-pciids.sh %{buildroot}%{_bindir}/
install -m 644 lib/libpci.pc %{buildroot}%{_libdir}/pkgconfig/

%files
%doc README ChangeLog pciutils.lsm
%{_mandir}/man8/*
%{_bindir}/lspci
%{_bindir}/pcimodules
%{_bindir}/setpci

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files devel
%doc TODO
%{_bindir}/update-pciids.sh
%{_libdir}/*.a
%{_libdir}/*.so
%dir %{_includedir}/pci
%{_includedir}/pci/*.h
%{_libdir}/pkgconfig/libpci.pc




%changelog
* Wed Mar 01 2017 luigiwalser <luigiwalser> 3.5.4-1.mga6
+ Revision: 1088218
- 3.5.4
- remove patch0 (handled upstream)

* Fri Nov 11 2016 luigiwalser <luigiwalser> 3.5.2-1.mga6
+ Revision: 1066561
- 3.5.2

* Wed May 25 2016 luigiwalser <luigiwalser> 3.5.1-1.mga6
+ Revision: 1018496
- 3.5.1

* Mon Jan 25 2016 luigiwalser <luigiwalser> 3.4.1-1.mga6
+ Revision: 927189
- 3.4.1

* Fri Jan 01 2016 luigiwalser <luigiwalser> 3.4.0-1.mga6
+ Revision: 917588
- 3.4.0

  + tv <tv>
    - switch to pkgconfig() BRs

* Fri Aug 21 2015 tmb <tmb> 3.3.1-2.mga6
+ Revision: 867678
- rebuild for new gcc

* Sat Jul 25 2015 tv <tv> 3.3.1-1.mga6
+ Revision: 857493
- new release
- new release

* Wed Oct 15 2014 umeabot <umeabot> 3.2.1-5.mga5
+ Revision: 748756
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.1-4.mga5
+ Revision: 683366
- Mageia 5 Mass Rebuild

* Fri Feb 28 2014 tv <tv> 3.2.1-3.mga5
+ Revision: 597800
- kill patches droped by FC

* Fri Feb 28 2014 tv <tv> 3.2.1-2.mga5
+ Revision: 597777
- remove dietlibc & uclibc builds (no more needed by stage1)

* Mon Nov 18 2013 tmb <tmb> 3.2.1-1.mga4
+ Revision: 551806
- update to 3.2.1
- drop merged patches

* Sat Oct 19 2013 umeabot <umeabot> 3.2.0-6.mga4
+ Revision: 531153
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 tmb <tmb> 3.2.0-5.mga4
+ Revision: 462245
- pciutils requires matching lib (mga #10661)
- update pci.ids to 2013-07-26

* Thu Jul 11 2013 tmb <tmb> 3.2.0-4.mga4
+ Revision: 452881
- update pci.ids to 2013-07-11 (P120)

* Wed Jul 10 2013 tmb <tmb> 3.2.0-3.mga4
+ Revision: 452610
- BR: kmod-devel so lspci -k gives correct output (mga#10661)

* Tue Jul 09 2013 tmb <tmb> 3.2.0-2.mga4
+ Revision: 451890
- lspci: Display CardBus bridge capabilities
- lspci: Fully decode ASPM support from Link Capabilities
- lspci: Add L1 PM Substate capability reporting
- Added a test case for the L1 PM capability
- lspci: Make output of L1 PM cap consistent with other caps

* Fri May 24 2013 tv <tv> 3.2.0-1.mga4
+ Revision: 426643
- rediff patch
- new release

* Sun Jan 13 2013 umeabot <umeabot> 3.1.10-2.mga3
+ Revision: 362643
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 13 2012 tv <tv> 3.1.10-1.mga3
+ Revision: 270616
- rediff patch 22
- new release

* Mon Jun 11 2012 tv <tv> 3.1.9-2.mga3
+ Revision: 259851
- disable DNS for dietlibc build

* Mon Jan 30 2012 tv <tv> 3.1.9-1.mga2
+ Revision: 203554
- new release

* Wed Nov 09 2011 tv <tv> 3.1.8-1.mga2
+ Revision: 165861
- rediff patch 112 (ARM, from fedora)
- drop patch 101 (also droped by fedora)
- note that all of fedora patches but 106 & 109 (which we disabled) were droped
  by fedora...
- rediff patch 22
- new release

* Tue Jul 12 2011 cjw <cjw> 3.1.7-4.mga2
+ Revision: 123054
- ship pkgconfig file
- drop buildroot definition

* Thu Jan 13 2011 dmorgan <dmorgan> 3.1.7-3.mga1
+ Revision: 10135
- Remove mdv macros
- Boostrap pciutils
- imported package pciutils

